function jig(){}
function pig(){}
function aig(a){this.a=a}
function nig(a){this.a=a}
function $hg(a){this.a=a}
function iig(a,b){A$f(a.a,b)}
function Fig(a){var b;if(!a.d){b=new jig;a.d=b}return a.d}
function lig(){moe.call(this,C$j,'Persistence Inheritance')}
function Vhg(a){var b;b=$Ah(a.b.a,Vuf(),jM(n1c,Qxj,1,[]));g8i(Z7i(b,PGj),J_j);Unj(new lnj(b),new $hg(a))}
function Xhg(a,b,d,e){lGd.call(this,a,b,d);this.c=e;this.b=new z0i(sLb,(jBh(),eBh).Mc(sLb),iBh.Mc(sLb));this.a=new O0i(sLb)}
function Eig(a){var b;if(!a.c){b=new Xhg(vFd(sce(a.a)),Fig(a),Dig(a),(woj(Zde(a.a)),SLg(lde(a.a))),A1i(Xde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.c=b}return a.c}
function Whg(a,b){var d;d=D0i(a.a,b,$Ah(a.b.a,Vuf(),jM(n1c,Qxj,1,[])),jM(g2c,Ixj,280,[]));if(b.Jc(OMj)&&uh(b.Mc(OMj),oAj)){b.Pc(OMj);m8i(Z7i(d,PMj),(pmj(),omj))}Unj(new lnj(d),new aig(a))}
function Zhg(a,b){var d,e;e=Onj(b);if(e.b.iN(kHj)&&Z7i(e,kHj).b.b!=(pmj(),omj)&&!zPd(Z7i(e,kHj).b.bf(),lHj)){zYd(O_j+(uYd(),'Loading JPA Subsystem'))}else{d=E0i(a.a.a,Z7i(e,YGj).b.bN());iig(a.a.A,d)}}
w3c(3557,1011,Pyj,Xhg);_.Ti=function(){this.A.b=this};_.Yi=function(){Vhg(this)};_.aj=function(){Yuf(this.c,this)};w3c(3558,1298,{},$hg);_.eh=function(a){Zhg(this,a)};w3c(3559,1298,{},aig);_.eh=function(a){var b;b=Onj(a);b.b.iN(kHj)&&Z7i(b,kHj).b.b!=(pmj(),omj)&&!zPd(Z7i(b,kHj).b.bf(),lHj)?AYd(T0j+(uYd(),edk),_7i(b)):BYd(U0j+(uYd(),edk));Vhg(this.a)};w3c(3562,1415,Oyj,jig);_.Bh=function(){var a,b,d,e,g,i;this.a=new H$f(sLb);a=new mhe(OMj,fdk,false);g=new lig;loe(g,jM(n1c,Qxj,1,['DEEP','SHALLOW']));r1d(this.a,aHj,jM(e2c,xzj,261,[a,g]));p1d(this.a,false);d=new f1i(this.a,new nig(this));e=new Z1e(new pig,this.a);b=fBe(hBe(gBe(new jBe,this.a),e));i=LBe(QBe(PBe(MBe(NBe(SBe(new TBe,p2j),edk),(uYd(),'The configuration of the JPA subsystem.')),E2j,b),d1i(d)));return i};w3c(3563,1663,Dzj,lig);_.ak=function(){return false};w3c(3564,1,{},nig);_.Fk=function(a){Whg(this.a.b,(this.a.a.c,a))};w3c(3565,1,{},pig);_.al=function(){var a;a=Vuf();h8i(N7i(a),eIj,jGj);return a};w3c(3571,1,vzj);_.td=function(){dHd(this.b,Eig(this.a.a))};var kLb=bOd(3557),gLb=bOd(3558),hLb=bOd(3559),oLb=bOd(3562),lLb=bOd(3563),mLb=bOd(3564),nLb=bOd(3565);jAj(fp)(54);